commit:     c6f83a445094fe66038349594eef3e313f37930e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 27 15:42:52 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Aug 27 20:40:02 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6f83a44

media-gfx/flameshot: add 13.1.0

Bug: https://bugs.gentoo.org/954005
Closes: https://bugs.gentoo.org/957786
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/flameshot/Manifest                |  2 +
 media-gfx/flameshot/flameshot-13.1.0.ebuild | 61 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/media-gfx/flameshot/Manifest b/media-gfx/flameshot/Manifest
index fa5dda25de88..e3a452579ad8 100644
--- a/media-gfx/flameshot/Manifest
+++ b/media-gfx/flameshot/Manifest
@@ -1 +1,3 @@
 DIST flameshot-12.1.0.tar.gz 15618560 BLAKE2B 
975019d71a31f32785f081a05d224f72927628a1142697ba7ef9646f65d2cf1dcb5457633522143201716fe20a320224c95047904408dc411975c3e711e48002
 SHA512 
159bf3a8ff406b3881dcc77fc48d9e7cc0d595bd47ee2363396d7efc95f69160cf25ccf99cd1b2c2b527baeadf91c209784a7bca23ed5f17caacc385e161c83c
+DIST flameshot-13.1.0.tar.gz 16028319 BLAKE2B 
8d17073c1dde9bbf5703c71f9004360059b716f5311d3f3f64b13bc9089929c46c01fb2901e94e5fb5bc64a6490ce9c9fdece5e69df2fd5fd339faac0c9d7ccd
 SHA512 
d91c01c82e89c17a5c913fc90521867029f68985bd83883f904c1be8b4ffd548302954d6d36bce322f292419cf1434e597e8e23618eb0769b28cc48a267ce231
+DIST flameshot-qtcolorwidgets-84910784.tar.bz2 209064 BLAKE2B 
b83bd685ac0a90e690dc3388147604b9499c73d29c5eec27418f6ff5959e20fbfbb1a4b3d6bcc83f9da5d79e6479ef49d02b43054e3bed0fbcc3365afe56d0d1
 SHA512 
57d838cc021dc09fff2605b5f7a1ea9181c98b4a28ad093d09ab220241af784a42c6c12daa2ed3cf2272e637572f5801fa9ad38c5c8a36bbd9fc9e71b2ef0c12

diff --git a/media-gfx/flameshot/flameshot-13.1.0.ebuild 
b/media-gfx/flameshot/flameshot-13.1.0.ebuild
new file mode 100644
index 000000000000..5709c1e8e75c
--- /dev/null
+++ b/media-gfx/flameshot/flameshot-13.1.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+QTCW_COMMIT=8491078434b24cba295b5e41cc0d2a94c7049a5b # why ...
+inherit cmake flag-o-matic xdg
+
+DESCRIPTION="Powerful yet simple to use screenshot software"
+HOMEPAGE="https://flameshot.org https://github.com/flameshot-org/flameshot";
+SRC_URI="https://github.com/flameshot-org/flameshot/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+https://gitlab.com/mattbas/Qt-Color-Widgets/-/archive/${QTCW_COMMIT}/${PN}-qtcolorwidgets-${QTCW_COMMIT:0:8}.tar.bz2";
+
+LICENSE="Apache-2.0 Free-Art-1.3 GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="wayland"
+
+DEPEND="
+       dev-libs/kdsingleapplication
+       dev-qt/qtbase:6[dbus,gui,network,widgets]
+       dev-qt/qtsvg:6
+       sys-apps/dbus
+       wayland? ( kde-frameworks/kguiaddons:6 )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+       dev-qt/qttools:6[linguist]
+"
+
+src_prepare() {
+       # bundles https://gitlab.com/mattbas/Qt-Color-Widgets ...
+       mkdir external || die
+       mv "${WORKDIR}"/Qt-Color-Widgets-${QTCW_COMMIT} 
external/Qt-Color-Widgets || die
+
+       # safety
+       sed -e "s/include(FetchContent)/# & # no we don't/" -i CMakeLists.txt 
|| die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       # -Werror=strict-aliasing
+       # https://bugs.gentoo.org/859613
+       # https://github.com/flameshot-org/flameshot/issues/3531
+       #
+       # Do not trust with LTO either
+       append-flags -fno-strict-aliasing
+       filter-lto
+
+       local mycmakeargs=(
+               -DENABLE_CACHE=0
+               -DDISABLE_UPDATE_CHECKER=ON
+               -DUSE_KDSINGLEAPPLICATION=ON
+               -DUSE_BUNDLED_KDSINGLEAPPLICATION=OFF
+               -DQTCOLORWIDGETS_BUILD_STATIC_LIBS=ON
+               -DUSE_WAYLAND_CLIPBOARD=$(usex wayland)
+       )
+
+       cmake_src_configure
+}

Reply via email to